Package com.emc.d2fs.services.d2_dictionary_service

# Class DictionaryExportResponse

java.lang.Object
com.emc.d2fs.services.d2_dictionary_service.DictionaryExportResponse

All Implemented Interfaces:
  `Serializable`

public class DictionaryExportResponse extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="data" type="{http://www.emc.com/d2fs/services/d2_dictionary_service}MtomAttachmentType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DictionaryExportResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MtomAttachmentType`
  `getData()`
  Gets the value of the data property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setData(MtomAttachmentType value)`
  Sets the value of the data property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DictionaryExportResponse

    public DictionaryExportResponse()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getData

    public MtomAttachmentType getData()
    Gets the value of the data property.
    Returns:
      possible object is `MtomAttachmentType`

  - ### setData

    public void setData(MtomAttachmentType value)
    Sets the value of the data property.
    Parameters:
      `value` - allowed object is `MtomAttachmentType`